import request from '@/utils/request'

// 项目人员表列表
export function projectpersonnelLists(params: any) {
    return request.get({ url: '/project.project_personnel/lists', params })
}

// 添加项目人员
export function projectpersonnelAdd(params: any) {
    return request.post({ url: '/project.project_personnel/add', params })
}

// 编辑项目人员
export function projectpersonnelEdit(params: any) {
    return request.post({ url: '/project.project_personnel/edit', params })
}

// 删除项目人员
export function projectpersonnelDelete(params: any) {
    return request.post({ url: '/project.project_personnel/delete', params })
}

// 项目人员详情
export function projectpersonnelDetail(params: any) {
    return request.get({ url: '/project.project_personnel/detail', params })
}

//获取某个项目下的所有人员
export function personneToProject(params: any) {
    return request.get({ url: '/project.project_personnel/listToProject', params })
}
//某个人员下的劳动合同列表
export function personnelaborContracts(params: any) {
    return request.get({ url: '/project.project_personnel/laborContracts', params })
}
//某个人员下的保险列表
export function personneinsurances(params: any) {
    return request.get({ url: '/project.project_personnel/insurances', params })
}
//某个人员下的考勤明细列表
export function personnelattendances(params: any) {
    return request.get({ url: '/project.project_personnel/attendances', params })
}
//某个人员下的施工记录列表
export function personnelbuildworks(params: any) {
    return request.get({ url: '/project.project_personnel/buildworks', params })
}

//某个人员下的工资付款列表
export function personnelpayments(params: any) {
    return request.get({ url: '/project.project_personnel/payments', params })
}
